GET /api/v1/templates/{templateId} — Get Template by ID
Retrieves detailed information about a specific template, including its destinations (signers) and creator fields.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- templateId (string, required)
- The unique template ID
Responses
HTTP 200 — Template details
{
"data": {
"templateId": "94b22fdc-4132-4169-a4f3-5630e80755fa",
"fileName": "sample6.pdf",
"destinations": [
{
"destinationName": null,
"destinationEmail": null,
"destinationPhoneNumber": "",
"signeOrder": 0,
"signatories": [
{
"positionX": 7.5836406,
"positionY": 7.650696,
"signatureHigh": 36.72334,
"signatureWidth": 303.99942,
"pageNumber": 1,
"text": "",
"type": "Signature",
"fieldLabel": null,
"fontFamily": "D3F13AA8-A350-4739-B862-27070B4943C0",
"fontSize": 12,
"appendDate": false,
"documentId": null,
"isRequired": true,
"textAlignment": 0,
"dataSource": null
},
{
"positionX": 334.21112,
"positionY": 174.05334,
"signatureHigh": 75.588875,
"signatureWidth": 186.40596,
"pageNumber": 1,
"text": "",
"type": "Signature",
"fieldLabel": null,
"fontFamily": "D3F13AA8-A350-4739-B862-27070B4943C0",
"fontSize": 12,
"appendDate": false,
"documentId": null,
"isRequired": true,
"textAlignment": 0,
"dataSource": null
},
{
"positionX": 71.049286,
"positionY": 178.08905,
"signatureHigh": 67.1731,
"signatureWidth": 198.53976,
"pageNumber": 1,
"text": null,
"type": "CreatorSignature",
"fieldLabel": null,
"fontFamily": "D3F13AA8-A350-4739-B862-27070B4943C0",
"fontSize": 12,
"appendDate": false,
"documentId": null,
"isRequired": true,
"textAlignment": 0,
"dataSource": null
}
],
"availableTo": "2026-06-17T00:00:00+03:00",
"consentOnly": false,
"authenticationType": 0,
"allowUserToSignAnyWhere": false,
"destinationType": 1,
"nationalId": null,
"invitationLanguage": null,
"redirectUrl": null,
"allowUserToAddDestination": false,
"delegaterId": null,
"commercialNumber": null,
"uploadFile": null,
"dailyNotify": false,
"escalation": null
}
],
"creatorFields": {}
},
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 404 — Template not found
{
"data": null,
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}